CREATE TABLE [CMS_CssStylesheetSite] (
		[StylesheetID]     int NOT NULL,
		[SiteID]           int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_CssStylesheetSite]
	ADD
	CONSTRAINT [PK__CMS_CssStyleshee__014935CB]
	PRIMARY KEY
	([StylesheetID], [SiteID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_CssStylesheetSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_CssSt__SiteI__03317E3D]') IS NULL
BEGIN
		ALTER TABLE [CMS_CssStylesheetSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_CssSt__SiteI__03317E3D]
			FOREIGN KEY ([SiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_CssStylesheetSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_CssStylesheet]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_CssSt__Style__023D5A04]') IS NULL
BEGIN
		ALTER TABLE [CMS_CssStylesheetSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_CssSt__Style__023D5A04]
			FOREIGN KEY ([StylesheetID]) REFERENCES [CMS_CssStylesheet] ([StylesheetID])
			NOT FOR REPLICATION
END
