CREATE TABLE [CMS_FormUserControl] (
		[UserControlID]                      int NOT NULL IDENTITY(1, 1),
		[UserControlDisplayName]             nvarchar(200) NOT NULL,
		[UserControlCodeName]                nvarchar(200) NOT NULL,
		[UserControlFileName]                nvarchar(400) NOT NULL,
		[UserControlForText]                 bit NOT NULL,
		[UserControlForLongText]             bit NOT NULL,
		[UserControlForInteger]              bit NOT NULL,
		[UserControlForDecimal]              bit NOT NULL,
		[UserControlForDateTime]             bit NOT NULL,
		[UserControlForBoolean]              bit NOT NULL,
		[UserControlForFile]                 bit NOT NULL,
		[UserControlShowInBizForms]          bit NOT NULL,
		[UserControlDefaultDataType]         nvarchar(50) NOT NULL,
		[UserControlDefaultDataTypeSize]     int NULL,
		[UserControlShowInDocumentTypes]     bit NULL,
		[UserControlShowInSystemTables]      bit NULL,
		[UserControlShowInWebParts]          bit NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_FormUserControl]
	ADD
	CONSTRAINT [PK__CMS_FormUserCont__2A164134]
	PRIMARY KEY
	([UserControlID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_FormUserControl]
	ON [CMS_FormUserControl] ([UserControlDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_FormUserControl_1]
	ON [CMS_FormUserControl] ([UserControlCodeName])
	ON [PRIMARY]
