CREATE TABLE [CMS_PageTemplateCategory] (
		[CategoryID]              int NOT NULL IDENTITY(1, 1),
		[CategoryDisplayName]     nvarchar(100) NOT NULL,
		[CategoryParentID]        int NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_PageTemplateCategory]
	ADD
	CONSTRAINT [PK__CMS_PageTemplate__2C3393D0]
	PRIMARY KEY
	([CategoryID])
	ON [PRIMARY]
ALTER TABLE [CMS_PageTemplateCategory]
	ADD
	CONSTRAINT [UQ__CMS_PageTemplate__2D27B809]
	UNIQUE
	([CategoryDisplayName])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_PageTemplateCategory]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_PageTemplateCategory]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_PageT__Categ__2E1BDC42]') IS NULL
BEGIN
		ALTER TABLE [CMS_PageTemplateCategory]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_PageT__Categ__2E1BDC42]
			FOREIGN KEY ([CategoryParentID]) REFERENCES [CMS_PageTemplateCategory] ([CategoryID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_PageTemplateCategory]
	ON [CMS_PageTemplateCategory] ([CategoryParentID])
	ON [PRIMARY]
