CREATE TABLE [CMS_ResourceSite] (
		[ResourceID]     int NOT NULL,
		[SiteID]         int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_ResourceSite]
	ADD
	CONSTRAINT [PK__CMS_ResourceSite__5165187F]
	PRIMARY KEY
	([ResourceID], [SiteID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_ResourceSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Resource]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Resou__Resou__52593CB8]') IS NULL
BEGIN
		ALTER TABLE [CMS_ResourceSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Resou__Resou__52593CB8]
			FOREIGN KEY ([ResourceID]) REFERENCES [CMS_Resource] ([ResourceID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_ResourceSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Resou__SiteI__534D60F1]') IS NULL
BEGIN
		ALTER TABLE [CMS_ResourceSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Resou__SiteI__534D60F1]
			FOREIGN KEY ([SiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
