CREATE TABLE [CMS_RolePermission] (
		[RoleID]           int NOT NULL,
		[PermissionID]     int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_RolePermission]
	ADD
	CONSTRAINT [PK__CMS_RolePermissi__5535A963]
	PRIMARY KEY
	([RoleID], [PermissionID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_RolePermission]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Permission]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_RoleP__Permi__5629CD9C]') IS NULL
BEGIN
		ALTER TABLE [CMS_RolePermission]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_RoleP__Permi__5629CD9C]
			FOREIGN KEY ([PermissionID]) REFERENCES [CMS_Permission] ([PermissionID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_RolePermission]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Role]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_RoleP__RoleI__571DF1D5]') IS NULL
BEGIN
		ALTER TABLE [CMS_RolePermission]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_RoleP__RoleI__571DF1D5]
			FOREIGN KEY ([RoleID]) REFERENCES [CMS_Role] ([RoleID])
			NOT FOR REPLICATION
END
