CREATE TABLE [CMS_WorkflowStepRoles] (
		[StepID]     int NOT NULL,
		[RoleID]     int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_WorkflowStepRoles]
	ADD
	CONSTRAINT [PK__CMS_WorkflowStep__7B5B524B]
	PRIMARY KEY
	([StepID], [RoleID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_WorkflowStepRoles]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Role]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Workf__RoleI__7C4F7684]') IS NULL
BEGIN
		ALTER TABLE [CMS_WorkflowStepRoles]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Workf__RoleI__7C4F7684]
			FOREIGN KEY ([RoleID]) REFERENCES [CMS_Role] ([RoleID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_WorkflowStepRoles]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_WorkflowStep]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Workf__StepI__7D439ABD]') IS NULL
BEGIN
		ALTER TABLE [CMS_WorkflowStepRoles]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Workf__StepI__7D439ABD]
			FOREIGN KEY ([StepID]) REFERENCES [CMS_WorkflowStep] ([StepID])
			NOT FOR REPLICATION
END
