CREATE TABLE [COM_SKUTaxClasses] (
		[SKUID]          int NOT NULL,
		[TaxClassID]     int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_SKUTaxClasses]
	ADD
	CONSTRAINT [PK_COM_SKUTaxClasses]
	PRIMARY KEY
	([SKUID], [TaxClassID])
	ON [PRIMARY]
IF OBJECT_ID(N'[COM_SKUTaxClasses]') IS NOT NULL
	AND OBJECT_ID(N'[COM_SKU]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_SKUTaxClasses_COM_SKU]') IS NULL
BEGIN
		ALTER TABLE [COM_SKUTaxClasses]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_SKUTaxClasses_COM_SKU]
			FOREIGN KEY ([SKUID]) REFERENCES [COM_SKU] ([SKUID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[COM_SKUTaxClasses]') IS NOT NULL
	AND OBJECT_ID(N'[COM_TaxClass]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_SKUTaxClasses_COM_TaxClass]') IS NULL
BEGIN
		ALTER TABLE [COM_SKUTaxClasses]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_SKUTaxClasses_COM_TaxClass]
			FOREIGN KEY ([TaxClassID]) REFERENCES [COM_TaxClass] ([TaxClassID])
			NOT FOR REPLICATION
END
