CREATE TABLE [COM_ShoppingCartSKU] (
		[SKUID]              int NOT NULL,
		[ShoppingCartID]     int NOT NULL,
		[SKUUnits]           int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_ShoppingCartSKU]
	ADD
	CONSTRAINT [PK_COM_ShoppingCartSKU_1]
	PRIMARY KEY
	([SKUID], [ShoppingCartID])
	ON [PRIMARY]
IF OBJECT_ID(N'[COM_ShoppingCartSKU]') IS NOT NULL
	AND OBJECT_ID(N'[COM_ShoppingCart]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_ShoppingCartSKU_COM_ShoppingCart]') IS NULL
BEGIN
		ALTER TABLE [COM_ShoppingCartSKU]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_ShoppingCartSKU_COM_ShoppingCart]
			FOREIGN KEY ([ShoppingCartID]) REFERENCES [COM_ShoppingCart] ([ShoppingCartID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[COM_ShoppingCartSKU]') IS NOT NULL
	AND OBJECT_ID(N'[COM_SKU]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_ShoppingCartSKU_COM_SKU]') IS NULL
BEGIN
		ALTER TABLE [COM_ShoppingCartSKU]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_ShoppingCartSKU_COM_SKU]
			FOREIGN KEY ([SKUID]) REFERENCES [COM_SKU] ([SKUID])
			NOT FOR REPLICATION
END
