CREATE TABLE [COM_Wishlist] (
		[UserID]     int NOT NULL,
		[SKUID]      int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_Wishlist]
	ADD
	CONSTRAINT [PK_COM_Wishlist]
	PRIMARY KEY
	([UserID], [SKUID])
	ON [PRIMARY]
IF OBJECT_ID(N'[COM_Wishlist]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_Wishlist_CMS_User]') IS NULL
BEGIN
		ALTER TABLE [COM_Wishlist]
			ADD CONSTRAINT [FK_COM_Wishlist_CMS_User]
			FOREIGN KEY ([UserID]) REFERENCES [CMS_User] ([UserID])
END
IF OBJECT_ID(N'[COM_Wishlist]') IS NOT NULL
	AND OBJECT_ID(N'[COM_SKU]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_Wishlist_COM_SKU]') IS NULL
BEGIN
		ALTER TABLE [COM_Wishlist]
			ADD CONSTRAINT [FK_COM_Wishlist_COM_SKU]
			FOREIGN KEY ([SKUID]) REFERENCES [COM_SKU] ([SKUID])
END
