CREATE TABLE [Forums_ForumRoles] (
		[ForumID]     int NOT NULL,
		[RoleID]      int NOT NULL
)
ON [PRIMARY]
IF OBJECT_ID(N'[Forums_ForumRoles]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Role]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumRoles_CMS_Role]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumRoles]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumRoles_CMS_Role]
			FOREIGN KEY ([RoleID]) REFERENCES [CMS_Role] ([RoleID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[Forums_ForumRoles]') IS NOT NULL
	AND OBJECT_ID(N'[Forums_Forum]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumRoles_Forums_Forum]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumRoles]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumRoles_Forums_Forum]
			FOREIGN KEY ([ForumID]) REFERENCES [Forums_Forum] ([ForumID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_Forums_ForumRoles_CMS_Role]
	ON [Forums_ForumRoles] ([RoleID])
	ON [PRIMARY]
CREATE INDEX [FK_Forums_ForumRoles_Forums_Forum]
	ON [Forums_ForumRoles] ([ForumID])
	ON [PRIMARY]
