CREATE TABLE [Reporting_ReportTable] (
		[TableID]                         int NOT NULL IDENTITY(1, 1),
		[TableName]                       nvarchar(100) NOT NULL,
		[TableDisplayName]                nvarchar(450) NOT NULL,
		[TableQuery]                      ntext NOT NULL,
		[TableQueryIsStoredProcedure]     bit NOT NULL,
		[TableReportID]                   int NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Reporting_ReportTable]
	ADD
	CONSTRAINT [PK_Reporting_ReportTable]
	PRIMARY KEY
	([TableID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Reporting_ReportTable]') IS NOT NULL
	AND OBJECT_ID(N'[Reporting_Report]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Reporting_ReportTable_Reporting_Report]') IS NULL
BEGIN
		ALTER TABLE [Reporting_ReportTable]
			ADD CONSTRAINT [FK_Reporting_ReportTable_Reporting_Report]
			FOREIGN KEY ([TableReportID]) REFERENCES [Reporting_Report] ([ReportID])
END
CREATE INDEX [FK_Reporting_ReportTable]
	ON [Reporting_ReportTable] ([TableReportID])
	ON [PRIMARY]
CREATE INDEX [IX_Reporting_ReportTable]
	ON [Reporting_ReportTable] ([TableName])
	ON [PRIMARY]
