CREATE PROCEDURE [proc_CMS_Forum_UpdateThreadCounts]
	@path nvarchar(450)
AS
BEGIN
DECLARE @IsModerated bit
SET @IsModerated  = (SELECT [ForumModerated] FROM [Forums_Forum] WHERE (ForumID = (SELECT PostForumID FROM [Forums_ForumPost] WHERE [PostIDPath] LIKE @path)));
UPDATE [Forums_ForumPost] SET  
[PostThreadPosts] = (SELECT COUNT(*) FROM [Forums_ForumPost] WHERE (([PostIDPath] LIKE @path+'%')AND(PostApprovedByUserID IS NOT NULL)AND(@IsModerated = 1))OR(([PostIDPath] LIKE @path+'%')AND(@IsModerated = 0))),
[PostThreadLastPostTime] = (SELECT TOP 1 [PostTime] FROM [Forums_ForumPost] WHERE (([PostIDPath] LIKE @path+'%')AND(PostApprovedByUserID IS NOT NULL)AND(@IsModerated = 1))OR(([PostIDPath] LIKE @path+'%')AND(@IsModerated = 0)) ORDER BY PostTime DESC),
[PostThreadLastPostUserName] = (SELECT TOP 1 [PostUserName] FROM [Forums_ForumPost] WHERE (([PostIDPath] LIKE @path+'%')AND(PostApprovedByUserID IS NOT NULL)AND(@IsModerated = 1))OR(([PostIDPath] LIKE @path+'%')AND(@IsModerated = 0)) ORDER BY PostTime DESC) 
WHERE ([PostIDPath] = @path AND PostParentID IS NULL)
END
