<%@ Page Language="C#" AutoEventWireup="true" CodeFile="blog.aspx.cs" MasterPageFile="MainMenu.master"
    Inherits="CMSTemplates_CorporateSiteASPX_Blog" %>

<%@ Register Src="~/CMSWebParts/Viewers/cmsrepeater.ascx" TagName="cmsrepeater" TagPrefix="uc1" %>
<%@ Register Src="~/CMSWebParts/Blogs/BlogCommentView.ascx" TagName="BlogCommentView"
    TagPrefix="uc2" %>
<%@ Register Src="~/CMSWebParts/Blogs/RecentPosts.ascx" TagName="RecentPosts" TagPrefix="uc3" %>
<%@ Register Src="~/CMSWebParts/Blogs/PostArchive.ascx" TagName="PostArchive" TagPrefix="uc4" %>
<%@ Register Assembly="CMS.PortalControls" Namespace="CMS.PortalControls" TagPrefix="cc2" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="plcMain" runat="Server">
    <div style="width: 100%">
        <table border="0" width="100%">
            <tr valign="top">
                <%-- Left menu container--%>
                <td width="20%" rowspan="2">
                    <cc2:WebPartContainer ID="wpcMenu" runat="server" ContainerName="Box.LightBlue">
                        <div style="padding-left: 10px; padding-bottom: 40px;">
                            <cc1:CMSTreeMenu ID="menu" runat="server" Path="/{0}/%" CellPadding="0" CellSpacing="0"
                                Indentation="1" />
                        </div>
                    </cc2:WebPartContainer>
                </td>
                <td colspan="2">
                    <cc2:WebPartContainer ID="wpcBreadCrumbs" runat="server" ContainerName="BoxTitle.Gray">
                        <cc1:CMSBreadCrumbs ID="breadCrumbs" runat="server" BreadCrumbSeparator="&gt;" ShowCurrentItem="true" />
                    </cc2:WebPartContainer>
                </td>
            </tr>
            <tr valign="top">
                <%--Center--%>
                <td width="56%">
                    <uc1:cmsrepeater ID="rptBlogs" runat="server" ClassNames="cms.blog" TransformationName="cms.blog.DefaultWithLink"
                        HideOnSubPages="true" />
                    <cc2:WebPartContainer ID="wpcBread" runat="server" ContainerName="BoxTitle.Gray">
                        <cc1:CMSBreadCrumbs ID="bread" runat="server" />
                    </cc2:WebPartContainer>
                    <asp:PlaceHolder ID="plcBlog" runat="server">
                        <uc1:cmsrepeater ID="rptBlog" runat="server" ClassNames="cms.blogpost" OrderBy="BlogPostDate DESC, BlogPostTitle ASC"
                            TransformationName="cms.blog.PostPreview" />
                    </asp:PlaceHolder>
                    <asp:PlaceHolder ID="plcMonth" runat="server">
                        <uc1:cmsrepeater ID="rptMonthPosts" runat="server" ClassNames="cms.blogpost" OrderBy="BlogPostDate DESC, BlogPostTitle ASC"
                            TransformationName="cms.blog.PostPreview" />
                    </asp:PlaceHolder>
                    <asp:PlaceHolder ID="plcPost" runat="server">
                        <uc1:cmsrepeater ID="rptAllPosts" runat="server" ClassNames="cms.blogpost" OrderBy="BlogPostDate DESC, BlogPostTitle ASC"
                            TransformationName="cms.blog.PostPreview" SelectedItemTransformationName="cms.blogpost.Default" />
                        <uc2:BlogCommentView ID="commentView" runat="server" UserPictureMaxHeight="60" UserPictureMaxWidth="50"
                            ShowDeleteButton="true" ShowEditButton="true" />
                    </asp:PlaceHolder>
                </td>
                <%--Right column container--%>
                <td>
                    <asp:PlaceHolder ID="plcRightColumn" runat="server">
                        <cc2:WebPartContainer ID="wpcTitle" runat="server" ContainerName="Box.Blue">
                            <div class="SmallBox" style="height: 80px">
                                <uc1:cmsrepeater ID="rptTitle" runat="server" ClassNames="cms.blog" Path="/%" TransformationName="cms.blog.Description"
                                    SelectTopN="1" OrderBy="NodeLevel DESC" />
                            </div>
                        </cc2:WebPartContainer>
                        <cc2:WebPartContainer ID="wpcSyndication" runat="server" ContainerName="Box.Blue">
                            <div class="SmallBox" style="height: 80px">
                                <uc1:cmsrepeater ID="rptSyndication" runat="server" ClassNames="cms.blog" Path="/%"
                                    TransformationName="cms.blog.Rss" SelectTopN="1" OrderBy="NodeLevel DESC" />
                            </div>
                        </cc2:WebPartContainer>
                        <cc2:WebPartContainer ID="wpcRecentPosts" runat="server" ContainerName="Box.Blue">
                            <div class="SmallBox" style="height: 80px">
                                <uc3:RecentPosts ID="recentPosts" runat="server" TransformationName="cms.blogpost.RecentPosts" />
                            </div>
                        </cc2:WebPartContainer>
                        <cc2:WebPartContainer ID="wpcSideText" runat="server" ContainerName="Box.Blue">
                            <div class="SmallBox" style="height: 80px">
                                <uc1:cmsrepeater ID="rptSideText" runat="server" ClassNames="cms.blog;cms.blogpost"
                                    Path="/%" TransformationName="cms.blog.SideColumn" SelectTopN="1" OrderBy="NodeLevel DESC" />
                            </div>
                        </cc2:WebPartContainer>
                        <cc2:WebPartContainer ID="wpcMonthSummary" runat="server" ContainerName="Box.Blue">
                            <div class="SmallBox" style="height: 80px">
                                <uc4:PostArchive ID="postArchive" runat="server" TransformationName="cms.blogpost.Archive" />
                            </div>
                        </cc2:WebPartContainer>
                    </asp:PlaceHolder>
                </td>
            </tr>
        </table>
        <div>
</asp:Content>
