<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TaxClass_Country.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_Configuration_TaxClass_Country" Theme="Default"
    EnableEventValidation="false" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%; 
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody2">
            <asp:Panel runat="server" ID="pnlMenu" SkinID="TabsEditMenu">
                <table>
                    <tr>
                        <td>
                            <asp:LinkButton ID="btnSave" runat="server" CssClass="MenuItemEdit" OnClick="btnSave_Click">
                                <asp:Image ID="imgSave" runat="server" />
                                <% =mSave %>
                            </asp:LinkButton>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <asp:Panel ID="pnlScroll" runat="server" SkinID="TabsPageScrollArea">
                <div class="TabsEditMenuPadding">
                    &nbsp;
                </div>
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:GridView ID="GridViewCountries" runat="server" AutoGenerateColumns="false" OnDataBound="GridViewCountries_DataBound"
                            CellPadding="3" style="border: solid 1px #cccccc;">
                            <HeaderStyle HorizontalAlign="Left" CssClass="ContentGridHead" Wrap="false" />
                            <Columns>      
                                <asp:TemplateField>
                                    <ItemStyle Wrap="false" />
                                    <HeaderStyle Wrap="false" />
                                    <ItemTemplate>                                        
                                        <cc1:LocalizedLabel ID="lblName" runat="server" Text='<%# Eval("CountryDisplayName") %>'/>
                                    </ItemTemplate>                                
                                </asp:TemplateField>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:TextBox ID="txtTaxValue" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "TaxValue") %>'
                                            MaxLength="10" SkinID="ShortTextBox" OnTextChanged="txtTaxValue_Changed"></asp:TextBox>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField>
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" />
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkIsFlatValue" runat="server" Checked='<%# ConvertToBoolean(DataBinder.Eval(Container.DataItem, "IsFlatValue")) %>'
                                            OnCheckedChanged="chkIsFlatValue_Changed" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="CountryID">
                                    <ItemStyle />
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
