<%@ Page Language="C#" AutoEventWireup="true" EnableEventValidation="false" CodeFile="Product_List.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_Products_Product_List" Theme="Default" %>
<%@ Register Src="~/CMSAdminControls/UniGrid.ascx" TagName="Unigrid" TagPrefix="uc2" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Product list</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
  <script type="text/javascript" language="javascript">
    if (parent.frames['ecommerceMenu'] != null) parent.frames['ecommerceMenu'].location.href = '../Header.aspx?selectedtab=2';
  </script>
    <form id="form2" runat="server">
        <asp:Panel runat="server" ID="Panel1" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="Panel2" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlManufacturers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel runat="server" ID="pnlHeader" SkinID="PageHeader">
                        <uc1:PageTitle runat="server" ID="ProductsPageTitle" />
                    </asp:Panel>
                    <asp:Panel ID="pnlNew" runat="server" SkinID="PageHeaderLine">
                        <asp:Image ID="imgNewItem" runat="server" SkinID="NewItemImage" />
                        <asp:HyperLink ID="lnkNewItem" runat="server" SkinID="NewItemLink" NavigateUrl="Product_New.aspx">[lnkNewItem]</asp:HyperLink>
                    </asp:Panel>
                    <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblName" runat="server" SkinID="ContentLabel"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtName" runat="server" SkinID="textboxfield"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNumber" runat="server" SkinID="ContentLabel"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtNumber" runat="server" SkinID="textboxfield"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblDepartment" runat="server" SkinID="ContentLabel"></asp:Label></td>
                                <td>
                                    <asp:DropDownList ID="drpDepartment" runat="server" SkinID="DropDownField" DataTextField="DepartmentDisplayName" DataValueField="DepartmentID">
                                    </asp:DropDownList></td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblStoreStatus" runat="server" SkinID="ContentLabel"></asp:Label></td>
                                <td>
                                    <cc1:LocalizedDropDownList ID="drpStoreStatus" runat="server" CssClass="DropDownField" DataTextField="PublicStatusDisplayName" DataValueField="PublicStatusID"></cc1:LocalizedDropDownList></td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblInternalStatus" runat="server" SkinID="ContentLabel"></asp:Label></td>
                                <td>
                                    <asp:DropDownList ID="drpInternalStatus" runat="server" SkinID="DropDownField" DataTextField="InternalStatusDisplayName" DataValueField="InternalStatusID">
                                    </asp:DropDownList></td>
                            </tr>                                                        
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_Click" SkinID="ContentButton" />
                                </td>
                            </tr>
                        </table>
                        <br />
                        <asp:Label ID="lblError" runat="server" SkinID="errorlabel" Visible="false" EnableViewState="false"></asp:Label>
                        <asp:Label ID="lblInfo" runat="server" SkinID="infolabel" Visible="false" EnableViewState="false"></asp:Label>
                        <uc2:Unigrid ID="gridData" runat="server" GridName="Product_List.xml" OrderBy="SKUName"/>                                             
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>        
    </form>
</body>
</html>
