<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MyOrders.ascx.cs"
    Inherits="CMSEcommerce_MyOrders" %>
<%@ Register Namespace="CMS.ExtendedControls" Assembly="CMS.ExtendedControls" TagPrefix="cc1" %>            
<div>
    <asp:GridView ID="gridOrders" runat="server" AutoGenerateColumns="false" CellPadding="3"
        GridLines="Horizontal" OnRowDataBound="gridOrders_RowDataBound" >
        <HeaderStyle HorizontalAlign="Left" CssClass="UniGridHead" />
        <Columns>
            <asp:BoundField DataField="OrderID" />
            <asp:BoundField DataField="OrderDate" />
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Label ID="lblTotalPrice" runat="server" EnableViewState="false" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <cc1:LocalizedLabel ID="lblOrderStatus" runat="server" Text='<%# Eval("StatusDisplayName") %>'/>
                </ItemTemplate>
            </asp:TemplateField>                        
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="lnkInvoice" runat="server" EnableViewState="false" Target="_blank" />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</div>