CREATE TABLE [CMS_UserSite] (
		[UserID]     int NOT NULL,
		[SiteID]     int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_UserSite]
	ADD
	CONSTRAINT [PK__CMS_UserSite__6D0D32F4]
	PRIMARY KEY
	([UserID], [SiteID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_UserSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_UserS__SiteI__6E01572D]') IS NULL
BEGIN
		ALTER TABLE [CMS_UserSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_UserS__SiteI__6E01572D]
			FOREIGN KEY ([SiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_UserSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_UserS__UserI__6EF57B66]') IS NULL
BEGIN
		ALTER TABLE [CMS_UserSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_UserS__UserI__6EF57B66]
			FOREIGN KEY ([UserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
