CREATE TABLE [COM_ExchangeTable] (
		[ExchangeTableID]              int NOT NULL IDENTITY(1, 1),
		[ExchangeTableDisplayName]     nvarchar(200) NOT NULL,
		[ExchangeTableValidFrom]       datetime NULL,
		[ExchangeTableValidTo]         datetime NULL
)
ON [PRIMARY]
ALTER TABLE [COM_ExchangeTable]
	ADD
	CONSTRAINT [PK_COM_ExchangeTable]
	PRIMARY KEY
	([ExchangeTableID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_ExchangeTable_1]
	ON [COM_ExchangeTable] ([ExchangeTableDisplayName])
	ON [PRIMARY]
