CREATE TABLE [Polls_PollRoles] (
		[PollID]     int NOT NULL,
		[RoleID]     int NOT NULL
)
ON [PRIMARY]
IF OBJECT_ID(N'[Polls_PollRoles]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Role]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Polls_PollRoles_CMS_Role]') IS NULL
BEGIN
		ALTER TABLE [Polls_PollRoles]
			ADD CONSTRAINT [FK_Polls_PollRoles_CMS_Role]
			FOREIGN KEY ([RoleID]) REFERENCES [CMS_Role] ([RoleID])
END
IF OBJECT_ID(N'[Polls_PollRoles]') IS NOT NULL
	AND OBJECT_ID(N'[Polls_Poll]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Polls_PollRoles_Polls_Poll]') IS NULL
BEGIN
		ALTER TABLE [Polls_PollRoles]
			ADD CONSTRAINT [FK_Polls_PollRoles_Polls_Poll]
			FOREIGN KEY ([PollID]) REFERENCES [Polls_Poll] ([PollID])
END
CREATE UNIQUE CLUSTERED INDEX [FK_Polls_PollRoles]
	ON [Polls_PollRoles] ([PollID], [RoleID])
	ON [PRIMARY]
