CREATE PROCEDURE [Proc_CMS_User_IsAuthorizedPerNode]
@UserID int, @NodeID int, @PermissionName nvarchar(100)
AS
SELECT CMS_User.UserID
FROM CMS_User
INNER JOIN CMS_UserRole on CMS_UserRole.UserID = cms_user.UserID
INNER JOIN CMS_Role on CMS_Role.RoleID = CMS_UserRole.RoleID
INNER JOIN CMS_RolePermission on CMS_RolePermission.RoleID = CMS_Role.RoleID
INNER JOIN CMS_Permission on CMS_Permission.permissionid = CMS_RolePermission.PermissionID
INNER JOIN CMS_Class on CMS_Class.ClassID = CMS_Permission.ClassID
INNER JOIN CMS_Tree on CMS_Tree.NodeClassID = CMS_Class.ClassID
WHERE CMS_Tree.NodeID = @NodeID
and CMS_User.UserID = @UserID
and CMS_Permission.PermissionName = @PermissionName
