CREATE VIEW View_CMS_Relationship_Joined
AS
SELECT     LeftTree.NodeID AS LeftNodeID, LeftTree.NodeGUID AS LeftNodeGUID, CMS_RelationshipName.RelationshipName, 
                      CMS_RelationshipName.RelationshipNameID, RightTree.NodeID AS RightNodeID, RightTree.NodeGUID AS RightNodeGUID, 
                      CMS_RelationshipName.RelationshipDisplayName
FROM         CMS_Relationship INNER JOIN
                      CMS_Tree AS LeftTree ON CMS_Relationship.LeftNodeID = LeftTree.NodeID INNER JOIN
                      CMS_Tree AS RightTree ON CMS_Relationship.RightNodeID = RightTree.NodeID INNER JOIN
                      CMS_RelationshipName ON CMS_Relationship.RelationshipNameID = CMS_RelationshipName.RelationshipNameID
