<%@ Page Language="C#" Inherits="CMSDeskInstall" CodeFile="install.aspx.cs" Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/RequireScript.ascx" TagName="RequireScript"
    TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<%@ Register Src="LicenseDialog.ascx" TagName="LicenseDialog" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>CMS Database Installer</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
       
        .ButtonsPanel
        {
            padding-top: 10px;
        }
    </style>
</head>
<body class="InstallBody">
    <form id="Form1" method="post" runat="server">
        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />
        <uc2:RequireScript ID="rqScript" runat="server" />
        <asp:Panel runat="server" ID="pnlBody" SkinID="InstallerBody">
            <asp:Label ID="lblHeader" SkinID="InstallHeader" runat="server"></asp:Label>
            <asp:Panel runat="server" ID="pnlWizard" SkinID="InstallerContent">
                <asp:Button ID="btnHidden" runat="server" SkinID="HiddenButton" OnClick="btnHidden_onClick" />
                <asp:Wizard ID="wzdInstaller" runat="server" DisplaySideBar="False" OnPreviousButtonClick="wzdInstaller_PreviousButtonClick"
                    ActiveStepIndex="1">
                    <StepNavigationTemplate>
                        <div id="buttonsDiv" style="padding: 10px 10px 0px 0px">
                            <cc1:LocalizedButton ID="StepPrevButton" Source="file" runat="server" CommandName="MovePrevious"
                                Text="{$Install.BackStep$}" />
                            <cc1:LocalizedButton UseSubmitBehavior="True" Source="file" ID="StepNextButton" runat="server"
                                CommandName="MoveNext" Text="{$Install.NextStep$}" OnClientClick="NextStep(this,document.getElementById('buttonsDiv'));" />
                        </div>
                    </StepNavigationTemplate>
                    <StartNavigationTemplate>
                        <div id="buttonsDiv" style="padding: 10px 10px 0px 0px">
                            <cc1:LocalizedButton UseSubmitBehavior="True" Source="file" ID="StepNextButton" runat="server"
                                CommandName="MoveNext" Text="{$Install.NextStep$}" OnClientClick="NextStep(this,document.getElementById('buttonsDiv'));" />
                        </div>
                    </StartNavigationTemplate>
                    <WizardSteps>
                        <asp:WizardStep ID="stpUserServer" runat="server">
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td class="TopLeftCornerInstall">
                                    </td>
                                    <td class="TopMiddleBorderInstall">
                                    </td>
                                    <td class="TopRightCornerInstall">
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <table class="InstallWizard" border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td colspan="2">
                                                    <asp:Label ID="lblSQLServer" runat="server" SkinID="InstallGroupTitle"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td nowrap="nowrap" align="right">
                                                    <asp:Label ID="lblServerName" runat="server"></asp:Label>
                                                </td>
                                                <td style="width: 100%;">
                                                    <asp:TextBox ID="txtServerName" SkinID="InstallFormTextBox" runat="server"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" align="left">
                                                    <asp:RadioButton ID="radSQLAuthentication" runat="server" AutoPostBack="True" GroupName="AuthenticationType"
                                                        Checked="True"></asp:RadioButton>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td nowrap="nowrap" align="right">
                                                    <asp:Label ID="lblUsername" runat="server"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtUsername" SkinID="InstallFormTextBox" runat="server"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td nowrap="nowrap" align="right">
                                                    <asp:Label ID="lblPassword" runat="server"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtPassword" SkinID="InstallFormTextBox" runat="server" TextMode="Password"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" align="left">
                                                    <asp:RadioButton ID="radWindowsAuthentication" runat="server" AutoPostBack="True"
                                                        GroupName="AuthenticationType"></asp:RadioButton>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    &nbsp;</td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="stpDatabase" runat="server">
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td class="TopLeftCornerInstall">
                                    </td>
                                    <td class="TopMiddleBorderInstall">
                                    </td>
                                    <td class="TopRightCornerInstall">
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <table class="InstallWizard" border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td colspan="3">
                                                    <asp:Label ID="lblDatabase" runat="server" SkinID="InstallGroupTitle"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:RadioButton ID="radCreateNew" runat="server" AutoPostBack="True" GroupName="DatabaseType"
                                                        Checked="True"></asp:RadioButton>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 25px;">
                                                    &nbsp;
                                                </td>
                                                <td nowrap="nowrap" align="left" style="width: 140px;">
                                                    <asp:Label ID="lblNewDatabaseName" runat="server"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtNewDatabaseName" SkinID="InstallFormTextBox" runat="server" Enabled="False"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:RadioButton ID="radUseExisting" runat="server" AutoPostBack="True" GroupName="DatabaseType">
                                                    </asp:RadioButton>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 25px;">
                                                    &nbsp;
                                                </td>
                                                <td nowrap="nowrap" align="left" style="width: 140px;">
                                                    <asp:Label ID="lblExistingDatabaseName" runat="server"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtExistingDatabaseName" SkinID="InstallFormTextBox" runat="server"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                </td>
                                                <td colspan="2">
                                                    <asp:CheckBox ID="chkCreateDatabaseObjects" runat="server" SkinID="InstallCreateDBObjects"
                                                        Checked="True"></asp:CheckBox>
                                                    <asp:Label ID="lblCreateDatabaseObjects" runat="server" Width="250px"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    &nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:Panel ID="pnlLog" runat="server" Visible="False">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblLog" runat="server" SkinID="InstallGroupTitle"></asp:Label></td>
                                                            </tr>
                                                            <tr>
                                                                <td align="center">
                                                                    <asp:Panel runat="server" ID="pnlGroupLog">
                                                                        <asp:TextBox ID="txtLog" runat="server" SkinID="InstallLog" TextMode="MultiLine"
                                                                            ReadOnly="True" />
                                                                    </asp:Panel>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="stpConnectionString" runat="server" AllowReturn="false" StepType="Start">
                            <asp:Panel ID="pnlConnectionString" runat="server">
                                <asp:Label ID="lblConnectionString" runat="server" SkinID="InstallGroupTitle" Visible="False"></asp:Label>
                                <table border="0" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td class="TopLeftCornerInstall">
                                        </td>
                                        <td class="TopMiddleBorderInstall">
                                        </td>
                                        <td class="TopRightCornerInstall">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <table class="InstallWizard" border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                    <td align="left">
                                                        <asp:Label ID="lblErrorConnMessage" runat="server"></asp:Label>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </asp:Panel>
                        </asp:WizardStep>
                        <asp:WizardStep ID="stpLicenseSetting" runat="server" AllowReturn="false" StepType="Start">
                            <uc1:LicenseDialog ID="ucLicenseDialog" runat="server" />
                        </asp:WizardStep>
                        <asp:WizardStep ID="stpSiteCreation" runat="server" AllowReturn="false" StepType="Start">
                            <asp:Panel ID="pnlSiteCreation" runat="server">
                                <asp:Label ID="lblSiteCreation" runat="server" SkinID="InstallGroupTitle" Visible="False"></asp:Label>
                                <table border="0" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td class="TopLeftCornerInstall">
                                        </td>
                                        <td class="TopMiddleBorderInstall">
                                        </td>
                                        <td class="TopRightCornerInstall">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <table class="InstallWizard" border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:Label ID="lblSiteCreationInfo" runat="server" /></td>
                                                </tr>
                                                <tr valign="top">
                                                    <td>
                                                        <asp:RadioButton ID="radCorporateSite" runat="server" GroupName="SiteCreation" Checked="True">
                                                        </asp:RadioButton>
                                                    </td>
                                                    <td style="width: 100%;">
                                                        <asp:Label ID="lblCorporateSite" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr valign="top">
                                                    <td>
                                                        <asp:RadioButton ID="radCorporateSiteASPX" runat="server" GroupName="SiteCreation" />
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lblCorporateSiteASPX" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr valign="top">
                                                    <td>
                                                        <asp:RadioButton ID="radWizard" runat="server" GroupName="SiteCreation" />
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lblWizard" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr valign="top">
                                                    <td>
                                                        <asp:RadioButton ID="radExisting" runat="server" GroupName="SiteCreation" />
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lblExisting" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        &nbsp;</td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </asp:Panel>
                        </asp:WizardStep>
                        <asp:WizardStep ID="stpFinish" runat="server" StepType="Complete">
                            <asp:Panel ID="pnlFinished" runat="server">
                                <table border="0" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td class="TopLeftCornerInstall">
                                        </td>
                                        <td class="TopMiddleBorderInstall">
                                        </td>
                                        <td class="TopRightCornerInstall">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <table class="InstallWizard" border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                    <td>
                                                        &nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td align="center">
                                                        <asp:Label ID="lblCompleted" runat="server"></asp:Label></td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        &nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td align="center">
                                                        <asp:Label ID="lblMediumTrustInfo" runat="server" Visible="false" ></asp:Label>
                                                    </td>
                                                </tr>
                                    <tr>
                                        <td align="center">
                                            <asp:LinkButton ID="btnWebSite" runat="server" OnClick="btnWebSite_onClick" /></td>
                                    </tr>
                                    <tr>
                                        <td>
                                            &nbsp;</td>
                                    </tr>
                                </table>
                                </td> </tr> </table>
                            </asp:Panel>
                        </asp:WizardStep>
                    </WizardSteps>
                </asp:Wizard>
                <asp:Label ID="lblError" runat="server" SkinID="ErrorLabel"></asp:Label>
            </asp:Panel>
            <asp:Panel ID="pnlPermission" runat="server" SkinID="InstallerContent" Visible="false">
                <div style="text-align: left; padding: 0px 0px 10px 20px;">
                    <asp:Label ID="lblPermission" runat="server" />
                </div>
            </asp:Panel>
            <div style="text-align: center;">
                <asp:HyperLink ID="lnkTroubleshoot" runat="server" Visible="false" />
            </div>
            <asp:Panel CssClass="ButtonsPanel" ID="pnlButtons" runat="server" Visible="false">
                <asp:Button ID="btnPermissionTest" runat="server" SkinID="ContentButton" Width="150" />&nbsp;<asp:Button
                    ID="btnPermissionSkip" runat="server" SkinID="ContentButton" />
            </asp:Panel>
            <asp:Panel ID="pnlPermissionSuccess" runat="server" Visible="false">
                <asp:Label ID="lblPermissionSuccess" runat="server" /><br />
                <br />
                <asp:Button ID="btnPermissionContinue" runat="server" SkinID="ContentButton" />
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
