<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BasicDataList.aspx.cs" Inherits="CMSControlsExamples_BasicDataList" Theme="default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>BasicDataList example</title>
    <link href="Styles.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="BasicDataList example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <cc1:basicdatalist id="BasicDataList1" runat="server" RepeatColumns="3" CellSpacing="10" Width="100%">
		            <itemtemplate>
			            <div style="width: 100%">
			                <h3>
				                <%# Eval("ProductName") %>
			                </h3>
			                <img alt="<%# Eval("ProductName") %>_img" src='<%# ResolveUrl("~/CMSPages/GetFile.aspx?guid=" + Eval("ProductPhoto").ToString()) + "&maxSideSize=100" %>' />
			            </div>             
		            </itemtemplate>
                </cc1:basicdatalist>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
