<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CMSDataGrid.aspx.cs" Inherits="CMSControlsExamples_CMSDataGrid"
    Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="cz">
<head runat="server">
    <title>CMSDataGrid</title>
    <link href="Styles.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="CMSDataGrid example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <div style="width: 100%; border: solid 1px #CCCCCC;">
                    <table style="margin-left: auto; margin-right: auto; text-align: center;">
                        <tr>
                            <td style="padding: 35px;">
                                <cc1:CMSDataGrid ID="CMSDataGrid1" runat="server" ClassNames="Cms.Product" Path="/Products/%"
                                    BackColor="White" CellPadding="5" BorderStyle="None" AllowPaging="True" AutoGenerateColumns="False"
                                    AllowSorting="True" BorderWidth="1px" GridLines="Vertical" BorderColor="#999999"
                                    ZeroRowsText="no data found" CheckPermissions="False" HideControlForZeroRows="False"
                                    SortField="ProductName">
                                    <AlternatingItemStyle BackColor="#DCDCDC"></AlternatingItemStyle>
                                    <FooterStyle ForeColor="Black" BackColor="#CCCCCC"></FooterStyle>
                                    <SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#008A8C"></SelectedItemStyle>
                                    <ItemStyle ForeColor="Black" BackColor="#EEEEEE"></ItemStyle>
                                    <Columns>
                                        <asp:boundcolumn datafield="productName" sortexpression="productName" headertext="Name">
                                            <headerstyle width="200px" />
                                        </asp:boundcolumn>
                                        <asp:boundcolumn datafield="productPrice" sortexpression="productPrice" headertext="Price">
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle width="50px" horizontalalign="Center" />
                                        </asp:boundcolumn>
                                    </Columns>
                                    <HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
                                    <PagerStyle HorizontalAlign="Center" ForeColor="Black" BackColor="#999999" Mode="NumericPages">
                                    </PagerStyle>
                                </cc1:CMSDataGrid>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
