<%@ Page Language="C#" AutoEventWireup="true" CodeFile="QueryDataGrid.aspx.cs" Inherits="CMSControlsExamples_QueryDataGrid"
    Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>QueryDataGrid example</title>
    <link href="Styles.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="QueryDataGrid example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <div style="width: 100%; border: solid 1px #CCCCCC;">
                    <table style="margin-left: auto; margin-right: auto; text-align: center;">
                        <tr>
                            <td style="padding: 35px;">
                                <cc1:QueryDataGrid ID="QueryDataGrid1" runat="server" QueryName="cms.product.selectdocuments"
                                    AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" GridLines="Vertical"
                                    BorderColor="#999999" BackColor="White" CellPadding="5" BorderStyle="None" ZeroRowsText="no data found"
                                    HideControlForZeroRows="False">
                                    <PagerStyle HorizontalAlign="Center" ForeColor="Black" BackColor="#999999" Mode="NumericPages">
                                    </PagerStyle>
                                    <AlternatingItemStyle BackColor="Gainsboro"></AlternatingItemStyle>
                                    <FooterStyle ForeColor="Black" BackColor="#CCCCCC"></FooterStyle>
                                    <ItemStyle ForeColor="Black" BackColor="#EEEEEE"></ItemStyle>
                                    <HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
                                    <Columns>
                                        <asp:boundcolumn datafield="ProductName" sortexpression="ProductName" headertext="Product name">
                                            <headerstyle width="200px" />
                                        </asp:boundcolumn>
                                        <asp:boundcolumn datafield="ProductPrice" sortexpression="ProductPrice" headertext="Price">
                                        </asp:boundcolumn>
                                    </Columns>
                                    <SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#008A8C"></SelectedItemStyle>
                                </cc1:QueryDataGrid>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
