<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TemplatedDataPager.aspx.cs"
    Inherits="CMSControlsExamples_TemplatedDataPager" Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Template data pager</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="TemplateDataPager example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <table style="border: solid 1px #CCCCCC; margin-left: auto; margin-right: auto;">
                    <tr>
                        <td style="border-bottom: solid 1px #CCCCCC; padding: 10px; text-align: center;">
                            <cc1:CMSRepeater ID="CMSRepeater1" runat="server" Path="/%" ClassNames="CMS.Product"
                                TransformationName="CMS.Product.preview">
                            </cc1:CMSRepeater>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding: 10px; background-color: #D9D9D9;">
                            <cc1:TemplateDataPager ID="TemplateDataPager1" runat="server">
                                <NumberTemplate>
                                    <a href="?Page=<%# Eval("PageNumber")  %>">
                                        <%# Eval("PageNumber")  %>
                                    </a>
                                </NumberTemplate>
                                <SelectedNumberTemplate>
                                    <b>
                                        <%# Eval("PageNumber")  %>
                                    </b>
                                </SelectedNumberTemplate>
                                <SeparatorTemplate>
                                    -
                                </SeparatorTemplate>
                                <FirstItemTemplate>
                                    <a href="?Page=1">First</a>&nbsp;|&nbsp;
                                </FirstItemTemplate>
                                <LastItemTemplate>
                                    &nbsp;|&nbsp;<a href="?Page=<%# pageCount %>">Last</a>
                                </LastItemTemplate>
                                <PreviousItemTemplate>
                                    <a href="?Page=<%# previousPage %>">Previous</a> &nbsp;|&nbsp;
                                </PreviousItemTemplate>
                                <NextItemTemplate>
                                    &nbsp;|&nbsp; <a href="?Page=<%# nextPage %>">Next</a>
                                </NextItemTemplate>
                            </cc1:TemplateDataPager>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
